### org.jfree.layouting.layouter.context

# Class FontSpecification

- `java.lang.Object`
- - `org.jfree.layouting.layouter.context.FontSpecification`

`public class FontSpecification`
`extends java.lang.Object`

Creation-Date: 15.12.2005, 11:44:22

Author:
  Thomas Morgner

  ## Constructor Summary

  `FontSpecification(LayoutStyle style)`

  ## Method Summary

  `String`

  `getFontFamily()`

  `double`

  `getFontSize()`
    The requested font size.

  `int`

  `getFontWeight()`

  `boolean`

  `isAntiAliasing()`

  `boolean`

  `isItalic()`

  `boolean`

  `isOblique()`

  `boolean`

  `isSmallCaps()`

  `void`

  `setFontFamily(String fontFamily)`
    Redefines the physical font family.

  `void`

  `setFontSize(double fontSize)`
    The font size is resolved once during the resolve cycle.

## Constructor Details

### FontSpecification

    public FontSpecification(LayoutStyle style)

## Method Details

### getFontFamily

    public String getFontFamily()

### getFontSize

    public double getFontSize()

> The requested font size. A font may have a fractional font size (ie. 8.5 point). The font size may be influenced by the output target. This font size is given in point.
> Returns:
>   the font size.

### getFontWeight

    public int getFontWeight()

### isAntiAliasing

    public boolean isAntiAliasing()

### isItalic

    public boolean isItalic()

### isOblique

    public boolean isOblique()

### isSmallCaps

    public boolean isSmallCaps()

### setFontFamily

    public void setFontFamily(String fontFamily)

> Redefines the physical font family. The resolving is done once during the style resolve run, logical fonts get mapped into their physical counterparts.
> Parameters:
>   `fontFamily` -

### setFontSize

    public void setFontSize(double fontSize)

> The font size is resolved once during the resolve cycle. It is more than just looking up the value in the stylesheet, as we have to take the font size adjustment into account. This font size is given in micro-point.
> Parameters:
>   `fontSize` - the font size as used during the rendering.